Skip to content

Get workflow run

GET
/workflows/{workflowId}/runs/{runId}
curl --request GET \
--url https://safe-api.safetyradar.com/v2/workflows/550e8400-e29b-41d4-a716-446655440001/runs/550e8400-e29b-41d4-a716-446655440002 \
--header 'Authorization: Bearer <token>' \
--header 'x-team: my-team-slug'

Get a single workflow run by ID including its node results.

workflowId
required

Workflow ID (UUID)

string format: uuid
Example
550e8400-e29b-41d4-a716-446655440001

Workflow ID (UUID)

runId
required

Run ID (UUID)

string format: uuid
Example
550e8400-e29b-41d4-a716-446655440002

Run ID (UUID)

x-team

Deprecated — accepted but ignored; the v2 API is org-scoped.

string
Example
my-team-slug

Deprecated — accepted but ignored; the v2 API is org-scoped.

Workflow run details

Media typeapplication/json
object
data
required
object
id
required
string format: uuid
flowId
required
string format: uuid
flowVersion
required
integer
>= -2147483648 <= 2147483647
flowRunType
required
string
Allowed values: draft live
createdById
required
string format: uuid
nullable
status
required
string
Allowed values: pending running completed failed
context
required
Any of:
string
startedAt
required
string
nullable
completedAt
required
string
nullable
error
required
string
nullable
createdAt
required
string
updatedAt
required
string
nodeResults
required
Array<object>
object
id
required
string format: uuid
flowRunId
required
string format: uuid
parentNodeId
required
string format: uuid
nullable
nodeKey
required
string
nodeName
required
string
nullable
nodeType
required
string
status
required
string
Allowed values: pending running completed failed skipped
config
required
Any of:
string
output
required
Any of:
string
error
required
string
nullable
startedAt
required
string
nullable
completedAt
required
string
nullable
createdAt
required
string
updatedAt
required
string
Example
{
"data": {
"flowRunType": "draft",
"status": "pending",
"nodeResults": [
{
"status": "pending"
}
]
}
}

Unauthorized

Media typeapplication/json
object
code
required
string
message
required
string
details
object
key
additional properties
nullable
Examplegenerated
{
"code": "example",
"message": "example",
"details": {
"additionalProperty": "example"
}
}

Workflow or run not found

Media typeapplication/json
object
code
required
string
message
required
string
details
object
key
additional properties
nullable
Examplegenerated
{
"code": "example",
"message": "example",
"details": {
"additionalProperty": "example"
}
}